# Uses of Interface
org.apache.velocity.runtime.resource.util.StringResourceRepository

Packages that use StringResourceRepository
Package
Description
org.apache.velocity.runtime.resource.loader
org.apache.velocity.runtime.resource.util

## Uses of StringResourceRepository in org.apache.velocity.runtime.resource.loader

Fields in org.apache.velocity.runtime.resource.loader declared as StringResourceRepository
Modifier and Type
Field
Description
`protected StringResourceRepository`
StringResourceLoader.`repository`
the repository used internally by this resource loader
Fields in org.apache.velocity.runtime.resource.loader with type parameters of type StringResourceRepository
Modifier and Type
Field
Description
`protected static final Map<String,StringResourceRepository>`
StringResourceLoader.`STATIC_REPOSITORIES`
Methods in org.apache.velocity.runtime.resource.loader that return StringResourceRepository
Modifier and Type
Method
Description
`StringResourceRepository`
StringResourceLoader.`createRepository(String className, String encoding)`
`static StringResourceRepository`
StringResourceLoader.`getRepository()`
Returns a reference to the default static repository.
`static StringResourceRepository`
StringResourceLoader.`getRepository(String name)`
Returns a reference to the repository stored statically under the specified name.
`static StringResourceRepository`
StringResourceLoader.`removeRepository(String name)`
Removes the `StringResourceRepository` stored under the specified name.
Methods in org.apache.velocity.runtime.resource.loader with parameters of type StringResourceRepository
Modifier and Type
Method
Description
`static void`
StringResourceLoader.`setRepository(String name, StringResourceRepository repo)`
Sets the specified `StringResourceRepository` in static storage under the specified name.

## Uses of StringResourceRepository in org.apache.velocity.runtime.resource.util

Classes in org.apache.velocity.runtime.resource.util that implement StringResourceRepository
Modifier and Type
Class
Description
`class`
`StringResourceRepositoryImpl`
Default implementation of StringResourceRepository.